pkgname=gnome-shell-extension-date-menu-formatter
pkgver=10
pkgrel=1
pkgdesc="Allows customization of the date display in the panel."
arch=('any')
#url="https://github.com/marcinjakubowski/date-menu-formatter"
license=('GPL3')
depends=('gnome-shell')
makedepends=('git')
#_source=('git+https://github.com/marcinjakubowski/date-menu-formatter')
source=('git+https://github.com/andyholmes/date-menu-formatter#branch=andyholmes/gnome-45-diff')
sha256sums=('SKIP')

_reponame=date-menu-formatter

package() {
  cd "$srcdir"
  rm -rf "date-menu-formatter/.git"
  install -d "$pkgdir/usr/share/gnome-shell/extensions"
  cp -r "date-menu-formatter" "$pkgdir/usr/share/gnome-shell/extensions/date-menu-formatter@marcinjakubowski.github.com"
}

pkgver() {
  cd "$_reponame"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
